Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000043opensim[REGION] OpenSim Corepublic2007-11-23 10:392008-02-08 08:12
Reporterlenkki 
Assigned ToAdam 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000043: OpenSimulator segfaults with latest HEAD on linux x86_64
DescriptionThe OpenSimulator.exe segfaults when ran on gentoo linux.
The steps I've taken are:

svn co http://opensimulator.org/svn/opensim/trunk [^] opensim
cd opensim
sh runprebuild.sh
nant
cd ..
svn co svn://openmetaverse.org/libsl/trunk [^] libsl
cd libsl/openjpeg-libsl/
nano Makefile (add -m64 to compile flags to avoid another segfault)
make
cp libopenjpeg-libsl-2.1.2.0.so ../../opensim/bin/libopenjpeg-libsl-2.1.2.0-x86_64.so
cd ../../opensim/bin/
cp OpenSimulator.ini.example OpenSimulator.ini
mono OpenSimulator.exe

This allways results in the following segfault:

OpenSim SVN Rev 2460
libSL SVN Rev 1498
Additional InformationStacktrace:

  at (wrapper managed-to-native) System.Runtime.InteropServices.Marshal.copy_to_unmanaged (System.Array,int,intptr,int) <0x0000e>
  at (wrapper managed-to-native) System.Runtime.InteropServices.Marshal.copy_to_unmanaged (System.Array,int,intptr,int) <0xffffffff>
  at System.Runtime.InteropServices.Marshal.Copy (byte[],int,intptr,int) <0x0002e>
  at OpenJPEGNet.OpenJPEG.Encode (byte[],int,int,int,bool) <0x000af>
  at OpenJPEGNet.OpenJPEG.EncodeFromImage (System.Drawing.Bitmap,bool) <0x00601>
  at OpenSim.Region.Terrain.TerrainEngine.ExportJpegImage (string) <0x00046>
  at OpenSim.Region.Environment.Scenes.Scene.CreateTerrainTexture () <0x00032>
  at OpenSim.Region.Environment.Scenes.Scene.LoadWorldMap () <0x00410>
  at OpenSim.Region.ClientStack.RegionApplicationBase.SetupScene (OpenSim.Framework.RegionInfo,OpenSim.Region.ClientStack.UDPServer&) <0x00106>
  at OpenSim.OpenSimMain.CreateRegion (OpenSim.Framework.RegionInfo) <0x0003d>
  at OpenSim.ApplicationPlugins.LoadRegions.LoadRegionsPlugin.Initialise (OpenSim.OpenSimMain) <0x00276>
  at OpenSim.OpenSimMain.StartUp () <0x00564>
  at OpenSim.Application.Main (string[]) <0x001f5>

Native stacktrace:

        mono [0x50f883]
        mono [0x4de7e2]
        /lib/libpthread.so.0 [0x2b5ed5d45ec0]
        /lib/libc.so.6(memcpy+0x15b) [0x2b5ed624aa2b]
        [0x425f321f]

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================

Aborted

Here is an additional stacktrace from another run with a different stack.
Stacktrace:

  at (wrapper managed-to-native) System.Runtime.InteropServices.Marshal.copy_to_unmanaged (System.Array,int,intptr,int) <0x0000e>
  at (wrapper managed-to-native) System.Runtime.InteropServices.Marshal.copy_to_unmanaged (System.Array,int,intptr,int) <0xffffffff>
  at System.Runtime.InteropServices.Marshal.Copy (byte[],int,intptr,int) <0x0002e>
  at OpenJPEGNet.OpenJPEG.Encode (byte[],int,int,int,bool) <0x000af>
  at OpenJPEGNet.OpenJPEG.EncodeFromImage (System.Drawing.Bitmap,bool) <0x00601>
  at OpenSim.Region.Terrain.TerrainEngine.ExportJpegImage (string) <0x00046>
  at OpenSim.Region.Environment.Scenes.Scene.CreateTerrainTexture () <0x00032>
  at OpenSim.Region.Environment.Scenes.Scene.UpdateTerrain () <0x000b8>
  at OpenSim.Region.Environment.Scenes.Scene.Update () <0x002cc>
  at OpenSim.Region.Environment.Scenes.Scene.Heartbeat (object,System.EventArgs) <0x00021>
  at System.Timers.Timer.Callback (object) <0x00451>
  at (wrapper delegate-invoke) System.MulticastDelegate.invoke_void_object (object) <0xffffffff>
  at (wrapper runtime-invoke) System.Threading.WaitCallback.runtime_invoke_void_object (object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

        mono [0x50f883]
        mono [0x4de7e2]
        /lib/libpthread.so.0 [0x2adedb43bec0]
        /lib/libc.so.6(memcpy+0x15b) [0x2adedb940a2b]
        [0x425f413f]


TagsNo tags attached.
Git Revision or version number
Run Mode
Physics Engine
Script Engine
Environment
Mono Version
Viewer
Attached Files

- Relationships

-  Notes
(0000027)
mggrant (reporter)
2007-11-24 13:37

I also had this issue. Deleting bin/libopenjpeg-1.0.0* (and not building the libsl-openjpeg) got me into standalone mode fine, though not sure where it's getting the terrain from.

I'd speculate the pre-provided x86-64 libopenjpeg needs updating.
(0000093)
mggrant (reporter)
2007-12-08 08:03

libsl 1498 has been merged into opensim. If you rebuild the x86_64 openjpeg-libsl library, this now works properly.
(0000500)
Adam (administrator)
2008-02-04 03:11

May need to recompile OpenJpeg under 64-bit by the look of it.

- Issue History
Date Modified Username Field Change
2007-11-23 10:39 lenkki New Issue
2007-11-23 10:50 lenkki Additional Information Updated
2007-11-24 13:37 mggrant Note Added: 0000027
2007-12-08 08:03 mggrant Note Added: 0000093
2007-12-08 08:04 mggrant Resolution open => fixed
2008-02-04 03:11 Adam Status new => resolved
2008-02-04 03:11 Adam Assigned To => Adam
2008-02-04 03:11 Adam Note Added: 0000500
2008-02-08 08:12 sdague Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker